#!/usr/bin/python
import serpent

"""
           ___
          { _ }
           |/|
          {___}
           |_|
           |/|
 .         |/|         .
 (\________|w|________/)
 ( ___________________ )
  v       | | |       v
          | | |
          | | |
          | | |PO0.HN7
          | | |   *   TO0~~~<
         z| | |TP0.TN5
       NO1| | |
         PT5| |
          |NO2|
          | |PO3
          | | PY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |PY0
          | | YY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HN3
          | | |PO7
         z| | |PY0
        PY0 | |z
       PY0| | |
         PN3| |
          |PT0|
          | |PY0
          | | PN3
          | | |PY0
         z| | |PY0
        TH3 | |z
       PY0| | |
         PY0| |
          |NY2|
          | |PY0
          | | PY0
          | | |PN3
         z| | |PT0
        PY0 | |z
       PN3| | |
         PY0| |
          |PY0|
          | |TH3
          | | PT0
          | | |PY0
         z| | |NY2
        PT0 | |z
       PY0| | |
         YP3| |
          |PT0|
          | |PY0
          | | TP3
          | | |PH0
         z| | |PY0
        NY2 | |z
       PO0| | |
         PY0| |
          |PN3|
          | |PT0
          | | PY0
          | | |PN3
         z| | |PY0
        PY0 | |z
       TH3| | |
         PN0| |
          |PY0|
          | |NY2
          | | PN0
          | | |PY0
         z| | |PN3
        PH0 | |z
       PY0| | |
         NY2| |
          |YP0|
          | |PY0
          | | PN3
          | | |PO0
         z| | |PY0
        PN4 | |z
       PY0| | |
         PY0| |
          |NY2|
          | |YT0
          | | PY0
          | | |PN3
         z| | |PN0
        PY0 | |z
       PN4| | |
         PY0| |
          |PY0|
          | |NY2
          | | YH0
          | | |PY0
         z| | |PN3
        YP0 | |z
       PY0| | |
         PN4| |
          |PY0|
          | |PY0
          | | NY2
          | | |YO0
         z| | |PY0
        PN3 | |z
       YT0| | |
         PY0| |
          |PN3|
          | |YH0
          | | PY0
          | | |PN3
         z| | |YO0
        PY0 | |z
       PN3| | |
         YN0| |
          |PY0|
          | |PN3
          | | TP0
          | | |PY0
         z| | |PN3
        TY0 | |z
       PY0| | |
         PN3| |
          |TH0|
          | |PY0
          | | PN3
          | | |YH0
         z| | |PY0
        PN3 | |z
       TO0| | |
         PY0| |
          |PN3|
          | |TN0
          | | PY0
          | | |PN3
         z| | |HP0
        PY0 | |z
       PN3| | |
         HY0| |
          |PY0|
          | |PN3
          | | HT0
          | | |PY0
         z| | |PN3
        HO0 | |z
       PY0| | |
         PN3| |
          |HN0|
          | |PY0
          | | PN3
          | | |OP0
         z| | |PY0
        PN3 | |z
       OY0| | |
         PY0| |
          |PN3|
          | |OT0
          | | PY0
          | | |PN3
         z| | |OH0
        PY0 | |z
       PN3| | |
         ON0| |
          |PY0|
          | |PN3
          | | NP0
          | | |PY0
         z| | |PN3
        NY0 | |z
       PY0| | |
         PN3| |
          |NT0|
          | |PY0
          | | PN3
          | | |NH0
         z| | |PY0
        PN3 | |z
       NO0| | |
         PY0| |
          |YH3|
          | |NP0
          | | PY0
          | | |NY2
         z| | |YN0
        PY0 | |z
       PN3| | |
         PP0| |
          |PY0|
          | |NY2
          | | TP0
          | | |PY0
         z| | |YP3
        TY0 | |z
       PY0| | |
         YP3| |
          |YN0|
          | |PY0
          | | PO4
          | | |PT0
         z| | |PY0
        YP3 | |z
       TH0| | |
         PY0| |
          |TY3|
          | |PH0
          | | PY0
          | | |HO3
         z| | |YY5
        PY0 | |z
       PN3| | |
         YY0| |
          |PY0|
          | |YH2
          | | YO2
          | | |TN3
         z| | |PY1
        PY0 | |z
       PN3| | |
         PY1| |
          |PY0|
          | |TP3
          | | TO0
          | | |PY0
         z| | |YP3
        TH0 | |z
       PY0| | |
         YP3| |
          |TN0|
          | |PY0
          | | PN3
          | | |PT1
         z| | |PY0
        PN4 | |z
       PY0| | |
         PY0| |
          |YP3|
          | |YN0
          | | PY0
          | | |PO4
         z| | |PH0
        PY0 | |z
       PO4| | |
         PT0| |
          |PY0|
          | |PO4
          | | PT0
          | | |PY0
         z| | |YH2
        YO2 | |z
       PN3| | |
         PY0| |
          |PY0|
          | |HN2
          | | YO1
          | | |PH1
         z| | |PY0
        PY0 | |z
       PY0| | |
         TN2| |
          |YN3|
          | |YY7
          | | YY7
          | | |YY7
         z| | |YY7
        YN2 | |z
       YY7| | |
         YY7| |
          |YY7|
          | |YY7
          | | PY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       PO3| | |
         PH0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PN0
         z| | |PY0
        PY0 | |z
       PY0| | |
         PN0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PO0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HN3| |
          |TP4|
          | |PY0
          | | PY0
          | | |PY0
         z| | |NH3
        PT0 | |z
       PY0| | |
         NH3| |
          |PY0|
          | |PY0
          | | OH0
          | | |NO3
         z| | |PH0
        PY0 | |z
       NH3| | |
         PH0| |
          |PY0|
          | |PN3
          | | PT0
          | | |PY0
         z| | |PP1
        NH3 | |z
       PH0| | |
         PY0| |
          |OH0|
          | |PN3
          | | PH0
          | | |PY0
         z| | |OH0
        OP3 | |z
       PO0| | |
         PY0| |
          |PY2|
          | |NO3
          | | PH0
          | | |PY0
         z| | |NH3
        PH0 | |z
       PY0| | |
         PN3| |
          |PO0|
          | |PY0
          | | YY1
          | | |NH3
         z| | |PH0
        PY0 | |z
       PT2| | |
         PN3| |
          |PN0|
          | |PY0
          | | PT2
          | | |NO3
         z| | |PH0
        PY0 | |z
       NH3| | |
         PH0| |
          |PY0|
          | |PN3
          | | YP0
          | | |PY0
         z| | |PP1
        NH3 | |z
       PH0| | |
         PY0| |
          |OH0|
          | |PN3
          | | YT0
          | | |PY0
         z| | |OH0
        OP3 | |z
       PO0| | |
         PY0| |
          |PY2|
          | |NO3
          | | PH0
          | | |PY0
         z| | |NH3
        PH0 | |z
       PY0| | |
         PN3| |
          |YH0|
          | |PY0
          | | PP1
          | | |NH3
         z| | |PH0
        PY0 | |z
       PN3| | |
         YO0| |
          |PY0|
          | |ON0
          | | PT2
          | | |NO3
         z| | |PH0
        PY0 | |z
       NH3| | |
         PH0| |
          |PY0|
          | |PN3
          | | YN0
          | | |PY0
         z| | |PP1
        NH3 | |z
       PH0| | |
         PY0| |
          |OH0|
          | |PN3
          | | TP0
          | | |PY0
         z| | |ON0
        OP3 | |z
       PO0| | |
         PY0| |
          |PY2|
          | |NO3
          | | PH0
          | | |PY0
         z| | |NH3
        PH0 | |z
       PY0| | |
         PN3| |
          |TY0|
          | |PY0
          | | YY1
          | | |NH3
         z| | |PH0
        PY0 | |z
       PT2| | |
         PN3| |
          |TH0|
          | |PY0
          | | PT2
          | | |NO3
         z| | |PH0
        PY0 | |z
       NH3| | |
         PH0| |
          |PY0|
          | |HN2
          | | PN3
          | | |PY0
         z| | |PY0
        HN2 | |z
       YO1| | |
         TO0| |
          |PY0|
          | |PY0
          | | PY0
          | | |TN2
         z| | |YN3
        TH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YN3
          | | OT0
          | | |NO2
         z| | |OY6
        PP3 | |z
       YN3| | |
         HN0| |
          |PY0|
          | |PY0
          | | PY0
          | | |YN2
         z| | |NH1
        PH6 | |z
       PT3| | |
         YH6| |
          |PY0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YN3
        YP0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YN3
          | | HT5
          | | |YH3
         z| | |OT2
        OT0 | |z
       YN3| | |
         YN0| |
          |PY0|
          | |PY0
          | | PY0
          | | |YN3
         z| | |OP4
        NT4 | |z
       NO2| | |
         TH1| |
          |YN3|
          | |PO0
          | | PY0
          | | |PY0
         z| | |PY0
        YN3 | |z
       NT1| | |
         NP5| |
          |HP4|
          | |PH0
          | | YN3
          | | |HY0
         z| | |PY0
        PY0 | |z
       PY0| | |
         YN2| |
          |YN0|
          | |HP2
          | | NY2
          | | |OY5
         z| | |PY0
        PY0 | |z
       PY0| | |
         PY0| |
          |YO1|
          | |PN0
          | | PY0
          | | |PY0
         z| | |PY0
        OP3 | |z
       TH0| | |
         PY0| |
          |PY0|
          | |PY0
          | | PO3
          | | |OY3
         z| | |HO3
        HO3 | |z
       YP3| | |
         TN3| |
          |OP3|
          | |YY2
          | | PH3
          | | |NP3
         z| | |OP3
        YP3 | |z
       OP3| | |
         TY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PO3
         z| | |OY3
        HO3 | |z
       HO3| | |
         YP3| |
          |TN3|
          | |OP3
          | | YY2
          | | |TY3
         z| | |YP3
        NP3 | |z
       OP3| | |
         PT0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PT3
         z| | |OP3
        YH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |TO3
          | | HP3
          | | |PN3
         z| | |YY2
        YT3 | |z
       YN3| | |
         ON3| |
          |YO1|
          | |PN0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       PT0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |PY0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |PH0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        PO0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YO1
          | | PY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       YO1| | |
         PY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HN3
         z| | |TP0
        PY0 | |z
       PY0| | |
         PY0| |
          |TO3|
          | |YP3
          | | HN3
          | | |HN3
         z| | |PT3
        YH3 | |z
       YP3| | |
         TN1| |
          |HY3|
          | |NP3
          | | HN3
          | | |TH0
         z| | |PY0
        PY0 | |z
       PY0| | |
         YH3| |
          |YP3|
          | |OP3
          | | YY2
          | | |TN3
         z| | |YP3
        ON3 | |z
       OP3| | |
         YY2| |
          |TY3|
          | |YP3
          | | NP3
          | | |YN0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HN3| |
          |HY0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |PY0
        PT0 | |z
       TP0| | |
         PH0| |
          |OT0|
          | |PT0
          | | HO0
          | | |PT0
         z| | |OT0
        PT0 | |z
       HO0| | |
         PT0| |
          |OT0|
          | |PT0
          | | HO0
          | | |PH0
         z| | |PO3
        PH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |TY0
          | | PY0
          | | |PY0
         z| | |PY0
        YO0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |PO0
          | | PY0
          | | |PY0
         z| | |PY0
        HN3 | |z
       OP3| | |
         PY0| |
          |PY0|
          | |PY0
          | | OP3
          | | |PY0
         z| | |PY0
        TP3 | |z
       PT0| | |
         PY0| |
          |PN3|
          | |PT0
          | | PY0
          | | |NH3
         z| | |PT0
        PY0 | |z
       PO4| | |
         PH0| |
          |PY0|
          | |PN3
          | | PH0
          | | |PY0
         z| | |NP0
        NO3 | |z
       PN0| | |
         PY0| |
          |OP3|
          | |PN0
          | | PY0
          | | |NH3
         z| | |PY0
        PY0 | |z
       PO4| | |
         PT0| |
          |PY0|
          | |NO3
          | | PY0
          | | |PY0
         z| | |ON3
        PT2 | |z
       PY0| | |
         OP3| |
          |YT0|
          | |PY0
          | | OP3
          | | |YH0
         z| | |PY0
        NH3 | |z
       PY0| | |
         PY0| |
          |PO4|
          | |PT0
          | | PY0
          | | |PO4
         z| | |PT0
        PY0 | |z
       PN2| | |
         NO2| |
          |TO1|
          | |PY0
          | | NO3
          | | |YO0
         z| | |PY0
        NH3 | |z
       PY0| | |
         PY0| |
          |NH3|
          | |YO0
          | | PY0
          | | |PO3
         z| | |PH0
        PY0 | |z
       NP0| | |
         NH3| |
          |PN0|
          | |PY0
          | | PN3
          | | |PO0
         z| | |PY0
        PY2 | |z
       TN2| | |
         PO0| |
          |NH1|
          | |OP3
          | | YN0
          | | |PY0
         z| | |NH3
        PN0 | |z
       PY0| | |
         NH3| |
          |PY0|
          | |PY0
          | | NH3
          | | |YO0
         z| | |PY0
        NP0 | |z
       PO4| | |
         PH0| |
          |PY0|
          | |NO3
          | | PN0
          | | |PY0
         z| | |HT3
        OY1 | |z
       PY0| | |
         OH2| |
          |OP3|
          | |TP0
          | | PY0
          | | |NH3
         z| | |PY0
        PY0 | |z
       PO4| | |
         PT0| |
          |PY0|
          | |HN2
          | | PN3
          | | |PY0
         z| | |PY0
        HN2 | |z
       YO1| | |
         PN0| |
          |PY0|
          | |PY0
          | | PY0
          | | |TN2
         z| | |HN3
        PH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |NO1
          | | TH2
          | | |YN3
         z| | |PY0
        PY0 | |z
       PY0| | |
         PY0| |
          |YN3|
          | |YY7
          | | PY0
          | | |PY0
         z| | |PY0
        YO1 | |z
       TY0| | |
         PY0| |
          |PY0|
          | |PY0
          | | OP3
          | | |YT0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HN3| |
          |OP3|
          | |HO3
          | | OY3
          | | |PO3
         z| | |OP3
        OP3 | |z
       YT0| | |
         PY0| |
          |PY0|
          | |PY0
          | | OY3
          | | |TN3
         z| | |HY3
        PT3 | |z
       PO3| | |
         TY3| |
          |OP3|
          | |YN0
          | | PY0
          | | |PY0
         z| | |PY0
        PH3 | |z
       NP3| | |
         OP3| |
          |YP3|
          | |HN3
          | | YY2
          | | |TY3
         z| | |YP3
        NP3 | |z
       OP3| | |
         PO0| |
          |PY0|
          | |PY0
          | | PY0
          | | |TY3
         z| | |YP3
        NP3 | |z
       OP3| | |
         YN0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PH3
         z| | |NP3
        OP3 | |z
       YP3| | |
         PT3| |
          |HO3|
          | |HO3
          | | PT3
          | | |NP3
         z| | |OP3
        PN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |PN3
          | | PT3
          | | |OP3
         z| | |PT3
        OP3 | |z
       YP0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO3
          | | |PT3
         z| | |TN3
        YH3 | |z
       YP3| | |
         OP3| |
          |PO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |TH3
        YP3 | |z
       TN3| | |
         OP3| |
          |PT0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YN3
        OP3 | |z
       TH0| | |
         PY0| |
          |PY0|
          | |PY0
          | | YH3
          | | |YP3
         z| | |OP3
        YY2 | |z
       TN3| | |
         YP3| |
          |ON3|
          | |OP3
          | | YY2
          | | |TY3
         z| | |YP3
        NP3 | |z
       OP3| | |
         YP0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PH3
         z| | |NP3
        OP3 | |z
       YP3| | |
         HN3| |
          |YO1|
          | |TY0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       YN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |YT0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |PN0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        YP0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HO2
          | | YH0
          | | |PY0
         z| | |PY0
        PY0 | |z
       HO2| | |
         YO0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HO2
         z| | |TP0
        PY0 | |z
       PY0| | |
         PY0| |
          |HO2|
          | |TY0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       TH0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |TO0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |TN0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YO1
        PY0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YO1
          | | PY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       HN3| | |
         TP0| |
          |PY0|
          | |PY0
          | | PY0
          | | |TO3
         z| | |YP3
        HN3 | |z
       HN3| | |
         PT3| |
          |YH3|
          | |YP3
          | | TN1
          | | |HY3
         z| | |NP3
        HN3 | |z
       YH0| | |
         PY0| |
          |PY0|
          | |PY0
          | | YP3
          | | |TN3
         z| | |PO3
        HO3 | |z
       NP3| | |
         HY3| |
          |OP3|
          | |OT0
          | | PY0
          | | |PY0
         z| | |PY0
        HN3 | |z
       TN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PT0
         z| | |OT0
        PT0 | |z
       TH0| | |
         PT0| |
          |HN0|
          | |PY0
          | | YT0
          | | |PT0
         z| | |OP0
        PT0 | |z
       OH0| | |
         PH0| |
          |PO3|
          | |PH0
          | | PY0
          | | |PY0
         z| | |PY0
        TH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YO0
          | | PY0
          | | |PY0
         z| | |PY0
        PO0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HN3
          | | NY3
          | | |PY0
         z| | |PY0
        PY0 | |z
       OP3| | |
         PY0| |
          |PY0|
          | |TP3
          | | PT0
          | | |PY0
         z| | |PN3
        PT0 | |z
       PY0| | |
         NH3| |
          |PT0|
          | |PY0
          | | PO4
          | | |PH0
         z| | |PY0
        PN3 | |z
       PH0| | |
         PY0| |
          |NP0|
          | |NO3
          | | PN0
          | | |PY0
         z| | |OP3
        PN0 | |z
       PY0| | |
         NH3| |
          |PY0|
          | |PY0
          | | PO4
          | | |PT0
         z| | |PY0
        NO3 | |z
       PY0| | |
         PY0| |
          |ON3|
          | |YH2
          | | PY0
          | | |OP3
         z| | |YT0
        PY0 | |z
       OP3| | |
         YH0| |
          |PY0|
          | |NH3
          | | PY0
          | | |PY0
         z| | |PO4
        PT0 | |z
       PY0| | |
         PO4| |
          |PT0|
          | |PY0
          | | PN2
          | | |NO2
         z| | |HN1
        PY0 | |z
       NO3| | |
         YO0| |
          |PY0|
          | |NH3
          | | PY0
          | | |PY0
         z| | |NH3
        YO0 | |z
       PY0| | |
         NP0| |
          |NO3|
          | |YN0
          | | PY0
          | | |NH3
         z| | |PY0
        PY0 | |z
       NH3| | |
         YO0| |
          |PY0|
          | |PO3
          | | PH0
          | | |PY0
         z| | |NP0
        NH3 | |z
       PN0| | |
         PY0| |
          |PN3|
          | |PO0
          | | PY0
          | | |PY2
         z| | |TN2
        PO0 | |z
       NH1| | |
         OP3| |
          |TP0|
          | |PY0
          | | NH3
          | | |PN0
         z| | |PY0
        NH3 | |z
       YN0| | |
         PY0| |
          |PO4|
          | |PH0
          | | PY0
          | | |NO3
         z| | |PN0
        PY0 | |z
       HT3| | |
         OY1| |
          |PY0|
          | |OH2
          | | OP3
          | | |TY0
         z| | |PY0
        NH3 | |z
       PY0| | |
         PY0| |
          |PO4|
          | |PT0
          | | PY0
          | | |HN2
         z| | |PN3
        PY0 | |z
       PY0| | |
         HN2| |
          |YO1|
          | |PN0
          | | PY0
          | | |PY0
         z| | |PY0
        TN2 | |z
       HN3| | |
         PH0| |
          |PY0|
          | |PY0
          | | PY0
          | | |NO1
         z| | |TH2
        YN3 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |PY0
          | | YN3
          | | |YY7
         z| | |PY0
        PY0 | |z
       PY0| | |
         YO1| |
          |TH0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        PN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HO2
          | | YP0
          | | |PY0
         z| | |PY0
        PY0 | |z
       HO2| | |
         YT0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HO2
         z| | |YH0
        PY0 | |z
       PY0| | |
         PY0| |
          |HO2|
          | |YO0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       YN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |TP0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |TY0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        TH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |OP3
          | | YO0
          | | |PY0
         z| | |PY0
        PY0 | |z
       HP3| | |
         TH3| |
          |PN3|
          | |YY2
          | | PH3
          | | |NP3
         z| | |OP3
        YP3 | |z
       HO2| | |
         TO0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HO2
         z| | |TN0
        PY0 | |z
       PY0| | |
         PY0| |
          |YO1|
          | |TH0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       YN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |YT0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |PN0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        YP0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HO2
          | | YH0
          | | |PY0
         z| | |PY0
        PY0 | |z
       HO2| | |
         YO0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HO2
         z| | |TP0
        PY0 | |z
       PY0| | |
         PY0| |
          |HO2|
          | |TY0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       TH0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |HP0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |TO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        TN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YO1
          | | PY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       YO1| | |
         PY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HN3
         z| | |TP0
        PY0 | |z
       PY0| | |
         PY0| |
          |TO3|
          | |YP3
          | | HN3
          | | |HN3
         z| | |PT3
        YH3 | |z
       YP3| | |
         TN1| |
          |HY3|
          | |NP3
          | | HN3
          | | |YH0
         z| | |PY0
        PY0 | |z
       PY0| | |
         PN3| |
          |YP3|
          | |PO3
          | | HO3
          | | |NP3
         z| | |HY3
        OP3 | |z
       PY1| | |
         PY0| |
          |PY0|
          | |PY0
          | | HN3
          | | |HY0
         z| | |PY0
        PY0 | |z
       PY0| | |
         PY0| |
          |PT0|
          | |OT0
          | | PT0
          | | |TH0
         z| | |PT0
        HN0 | |z
       PY0| | |
         YT0| |
          |PT0|
          | |TP0
          | | PT0
          | | |OP0
         z| | |PT0
        HN0 | |z
       PH0| | |
         YN3| |
          |PP1|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YN3
        NO3 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YN3
          | | PY4
          | | |PY0
         z| | |PY0
        PY0 | |z
       YN3| | |
         PP0| |
          |PY0|
          | |PY0
          | | PY0
          | | |YN3
         z| | |NT1
        PY0 | |z
       PY0| | |
         PY0| |
          |YN3|
          | |TO2
          | | PY0
          | | |PY0
         z| | |PY0
        YN3 | |z
       YN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | YN3
          | | |PY1
         z| | |PY0
        PY0 | |z
       PY0| | |
         YN3| |
          |YO1|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YN3
        NT5 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YN3
          | | PP5
          | | |PY0
         z| | |PY0
        PY0 | |z
       YN3| | |
         PO7| |
          |PY0|
          | |PY0
          | | PY0
          | | |YN3
         z| | |HP6
        PY0 | |z
       PY0| | |
         PY0| |
          |YN3|
          | |ON3
          | | PY0
          | | |PY0
         z| | |PY0
        YN3 | |z
       PO6| | |
         PY0| |
          |PY0|
          | |PY0
          | | YN3
          | | |ON2
         z| | |PY0
        PY0 | |z
       PY0| | |
         YN3| |
          |HO6|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YN3
        NT0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YN3
          | | OP0
          | | |PY0
         z| | |PY0
        PY0 | |z
       YN3| | |
         HN4| |
          |PY0|
          | |PY0
          | | PY0
          | | |YN3
         z| | |NY6
        PY0 | |z
       PY0| | |
         PY0| |
          |YN3|
          | |NP4
          | | PY0
          | | |PY0
         z| | |PY0
        YN3 | |z
       HN2| | |
         PY0| |
          |PY0|
          | |PY0
          | | YN3
          | | |YP6
         z| | |PY0
        PY0 | |z
       PY0| | |
         OP3| |
          |PN0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HN2
        PT2 | |z
       YT2| | |
         YP2| |
          |HN3|
          | |NP2
          | | PY0
          | | |PY0
         z| | |PY0
        YO2 | |z
       YP3| | |
         TH3| |
          |TH3|
          | |HP3
          | | TH1
          | | |PY1
         z| | |NP3
        HP3 | |z
       OY3| | |
         YH1| |
          |OT3|
          | |YP3
          | | PY1
          | | |HO3
         z| | |YP3
        PO3 | |z
       YP3| | |
         YN3| |
          |OT3|
          | |YP3
          | | PN3
          | | |PY1
         z| | |TO3
        YP3 | |z
       HN3| | |
         HN3| |
          |PT3|
          | |YH3
          | | YP3
          | | |TH1
         z| | |PY1
        PH3 | |z
       OY3| | |
         OP3| |
          |PY1|
          | |YN3
          | | OP3
          | | |PY1
         z| | |HN3
        YP3 | |z
       YP3| | |
         TO3| |
          |HN3|
          | |PY1
          | | OP3
          | | |HP3
         z| | |PY1
        PH3 | |z
       YP3| | |
         PY1| |
          |YP3|
          | |TN3
          | | PO3
          | | |HO3
         z| | |NP3
        HY3 | |z
       OP3| | |
         YP3| |
          |PN3|
          | |PT1
          | | PY1
          | | |OY2
         z| | |HN3
        YP3 | |z
       PY1| | |
         HP3| |
          |OY3|
          | |HO3
          | | PY1
          | | |OP3
         z| | |HP3
        HP3 | |z
       TH3| | |
         PY1| |
          |OP3|
          | |HP3
          | | PY1
          | | |PN3
         z| | |YP3
        PO3 | |z
       HO3| | |
         NP3| |
          |HY3|
          | |OP3
          | | PY1
          | | |YN3
         z| | |OP3
        TN1 | |z
       OP3| | |
         PY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |PO3
         z| | |PT0
        PY0 | |z
       PY0| | |
         PY0| |
          |YP0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |YP0
        PY0 | |z
       PY0| | |
         PY0| |
          |PO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HN3
        YO1 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |OP3
          | | PY0
          | | |PY0
         z| | |NH3
        PY0 | |z
       PY0| | |
         PO4| |
          |PT0|
          | |PY0
          | | OP3
          | | |PH0
         z| | |PY0
        TY3 | |z
       PH0| | |
         PY0| |
          |HO3|
          | |PP0
          | | PY0
          | | |OP3
         z| | |PO0
        PY0 | |z
       NH3| | |
         PY0| |
          |PY0|
          | |PO4
          | | PT0
          | | |PY0
         z| | |TN3
        YN0 | |z
       PY0| | |
         OP3| |
          |PN0|
          | |PY0
          | | NH3
          | | |PY0
         z| | |PY0
        PO4 | |z
       PT0| | |
         PY0| |
          |HN2|
          | |YO1
          | | PT0
          | | |PY0
         z| | |PY0
        PY0 | |z
       TN2| | |
         YO1| |
          |YP0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |OP3
        PN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |OP3
          | | NP3
          | | |HY3
         z| | |YP3
        OP3 | |z
       PT0| | |
         PY0| |
          |PY0|
          | |PY0
          | | ON3
          | | |OP3
         z| | |PO0
        PY0 | |z
       PY0| | |
         PY0| |
          |YN3|
          | |TN3
          | | OP3
          | | |OP3
         z| | |PO0
        PY0 | |z
       PY0| | |
         PY0| |
          |PO3|
          | |YO3
          | | HO3
          | | |OP3
         z| | |PO0
        PY0 | |z
       PY0| | |
         PY0| |
          |HN3|
          | |OP3
          | | HO3
          | | |YO1
         z| | |YP0
        PY0 | |z
       PY0| | |
         PY0| |
          |HO2|
          | |HN0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       HO0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |OP0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |OY0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        OT0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YO1
          | | PY0
          | | |PY0
         z| | |PY0
        PY0 | |z
       YO1| | |
         PY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HN3
         z| | |TP0
        PY0 | |z
       PY0| | |
         PY0| |
          |TO3|
          | |YP3
          | | HN3
          | | |HN3
         z| | |PT3
        YH3 | |z
       YP3| | |
         TN1| |
          |HY3|
          | |NP3
          | | HN3
          | | |TP0
         z| | |PY0
        PY0 | |z
       PY0| | |
         NH1| |
          |TH3|
          | |PT3
          | | TO3
          | | |PH3
         z| | |PN3
        PT3 | |z
       TN1| | |
         HY1| |
          |PP1|
          | |OT1
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       HT0| | |
         PY0| |
          |PY0|
          | |PY0
          | | YO1
          | | |HP0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |PN0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |OP3
        PO0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HN3
          | | NP3
          | | |HN3
         z| | |OP3
        PN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |PT3
          | | HO3
          | | |YH3
         z| | |OT3
        OP3 | |z
       PN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | PT3
          | | |HO3
         z| | |YH3
        HN3 | |z
       OP3| | |
         YH0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HN3
         z| | |YP3
        HO3 | |z
       HY3| | |
         YP3| |
          |TN3|
          | |OP3
          | | HO2
          | | |PO0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |TO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |OP3
        YH0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YP3
          | | TN3
          | | |PO3
         z| | |HO3
        NP3 | |z
       HY3| | |
         OP3| |
          |OP3|
          | |YH0
          | | PY0
          | | |PY0
         z| | |PY0
        PN3 | |z
       YP3| | |
         PO3| |
          |HO3|
          | |NP3
          | | HY3
          | | |OP3
         z| | |OP3
        TN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |YP3
          | | TN3
          | | |PO3
         z| | |HO3
        NP3 | |z
       HY3| | |
         OP3| |
          |YP3|
          | |PN3
          | | YY2
          | | |YT3
         z| | |TH3
        PT3 | |z
       YH3| | |
         OP3| |
          |PO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |TY2
        YP2 | |z
       NP2| | |
         HO2| |
          |HO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |OP3
        PN0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |TH3
          | | YN3
          | | |HN3
         z| | |OP3
        OP3 | |z
       PN0| | |
         PY0| |
          |PY0|
          | |PY0
          | | TP3
          | | |HP3
         z| | |YN3
        TN3 | |z
       OP3| | |
         PO0| |
          |PY0|
          | |PY0
          | | PY0
          | | |TO3
         z| | |PT3
        HY3 | |z
       YO1| | |
         HP0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HO2
         z| | |PN0
        PY0 | |z
       PY0| | |
         PY0| |
          |HO2|
          | |OH0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       ON0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |NP0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |NY0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        PO0 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HO2
          | | TO0
          | | |PY0
         z| | |PY0
        PY0 | |z
       HO2| | |
         NT0| |
          |PY0|
          | |PY0
          | | PY0
          | | |HO2
         z| | |NH0
        PY0 | |z
       PY0| | |
         PY0| |
          |HO2|
          | |NO0
          | | PY0
          | | |PY0
         z| | |PY0
        HO2 | |z
       PP0| | |
         PY0| |
          |PY0|
          | |PY0
          | | HO2
          | | |HO0
         z| | |PY0
        PY0 | |z
       PY0| | |
         HO2| |
          |YY0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |HO2
        PY1 | |z
       PY0| | |
         PY0| |
          |PY0|
          | |HO2
          | | PT1
          | | |PY0
         z| | |PY0
        PY0 | |z
       YO1| | |
         PY0| |
          |PY0|
          | |PY0
          | | PY0
          | | |YO1
         z| | |PY0
        PY0 | |z
       PY0| | |
         PY0| |
          |HN3|
          | |TP0
          | | PY0
          | | |PY0
         z| | |PY0
        TO3 | |z
       YP3| | |
         HN3| |
          |HN3|
          | |PT3
          | | YH3
          | | |YP3
         z| | |TN1
        HY3 | |z
       NP3| | |
         HN3| |
          |YO0|
          | |PY0
          | | PY0
          | | |PY0
         z| | |NH1
        TO3 | |z
       HP3| | |
         PN3| |
          |OY3|
          | |TH3
          | | YP3
          | | |PP1
         z| | |PT0
        PY0 | |z
       PY0| | |
         PY0| |
          |HN3|
          | |OT0
          | | PY0
          | | |PY0
         z| | |PY0
        TH0 | |z
       PT0| | |
         OY0| |
          |PT0|
          | |TH0
          | | PO0
          | | |YT0
         z| | |PO0
        YN0 | |z
       TO0| | |
         YN0| |
          |TP0|
          | |YN0
          | | TH0
          | | |HT2
         z| | |PH0
        YT0 | |z
       YP0| | |
         HO0| |
          |PT0|
          | |YO0
          | | PH0
          | | |zz 
         z| | |zz 
          z | |
          z | |
          | | |
          | | |
           \|/
            v
"""
